summary refs log tree commit diff
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2021-02-02 19:15:16 +0300
committerAzat Bahawi <azahi@teknik.io>2021-02-02 19:15:17 +0300
commitc2611faacaa9bb66fc1c63bf7a9798d514768c98 (patch)
tree10238c4abfeb1416d6bd957a4fcf1b1a2e5c2342
parentUpdate TODO (diff)
x11-misc/lsd: Add package
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Azat Bahawi <azahi@teknik.io>
-rw-r--r--x11-misc/lsd/lsd-9999.ebuild53
-rw-r--r--x11-misc/lsd/metadata.xml11
2 files changed, 64 insertions, 0 deletions
diff --git a/x11-misc/lsd/lsd-9999.ebuild b/x11-misc/lsd/lsd-9999.ebuild
new file mode 100644
index 0000000..a2ba0f8
--- /dev/null
+++ b/x11-misc/lsd/lsd-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/phillbush/lsd.git"
+fi
+
+inherit toolchain-funcs ${SCM}
+
+DESCRIPTION="List desktops"
+HOMEPAGE="https://github.com/phillbush/lsd"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/phillbush/lsd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND="x11-libs/libX11"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+DOCS=( README )
+
+src_prepare() {
+	default
+
+	sed -e '/^CPPFLAGS/d' \
+		-e 's/^CFLAGS =/CFLAGS +=/g' \
+		-e 's/^LDFLAGS =/LDFLAGS +=/g' \
+		-i config.mk || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)"
+}
+
+src_install() {
+	emake install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr"
+	einstalldocs
+}
diff --git a/x11-misc/lsd/metadata.xml b/x11-misc/lsd/metadata.xml
new file mode 100644
index 0000000..5d356a3
--- /dev/null
+++ b/x11-misc/lsd/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>azahi@teknik.io</email>
+		<name>azahi</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">phillbush/lsd</remote-id>
+	</upstream>
+</pkgmetadata>

Consider giving Nix/NixOS a try! <3